Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema.type
Class DerivedENTITIES

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.type.SOMType
                  |
                  +--com.bea.schema.type.SOMElementalType
                        |
                        +--com.bea.schema.type.PrimitiveENTITY
                              |
                              +--com.bea.schema.type.DerivedENTITIES

public class DerivedENTITIES
extends PrimitiveENTITY

ENTITIES represents the ENTITIES attribute type from [XML 1.0 Recommendation (Second Edition)]. The value space of ENTITIES is the set of finite-length sequences of ENTITYs that have been declared as unparsed entities in a document type definition. The lexical space of ENTITIES is the set of white space separated tokens, each of which is in the lexical space of NMTOKEN. The itemType of ENTITIES is ENTITY.

ENTITIES has the following constraining facets:

- length
- minLength
- maxLength
- enumeration
- whiteSpace

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  W3C XML Schema ENTITIES, Serialized Form

Fields inherited from class com.bea.schema.type.SOMType
`ANYURI, BASE64BINARY, BINARY, BOOLEAN, BYTE, CDATA, CENTURY, DATE, DATETIME, DECIMAL, DOUBLE, DURATION, ENTITIES, ENTITY, FLOAT, GDAY, GMONTH, GMONTHDAY, GYEAR, GYEARMONTH, HEXBINARY, ID, IDREF, IDREFS, INT, INTEGER, LANGUAGE, LONG, MONTH, NAME, NCNAME, NEGATIVEINTEGER, NMTOKEN, NMTOKENS, NONNEGATIVEINTEGER, NONPOSITIVEINTEGER, NORMALIZEDSTRING, NOTATION, NUMBER, POSITIVEINTEGER, QNAME, RECURRINGDATE, RECURRINGDAY, RECURRINGDURATION, SHORT, STRING, TIME, TIMEDURATION, TIMEINSTANT, TIMEPERIOD, TOKEN, UNSIGNEDBYTE, UNSIGNEDINT, UNSIGNEDLONG, UNSIGNEDSHORT, URIREFERENCE, YEAR`

Constructor Summary
`DerivedENTITIES()`

Method Summary
`java.util.Vector` | `getAllowedFacets()`
`java.lang.String` | `getID()`

Methods inherited from class com.bea.schema.type.SOMElementalType
`createDefault, getTypeRestrictions, isSchemaChild, isValid`

Methods inherited from class com.bea.schema.type.SOMType
`getType, isElementalType, isUserDefinedType, toXML`

Methods inherited from class com.bea.schema.SOMObject
`addChild, addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DerivedENTITIES

    public DerivedENTITIES()

Method Detail

### getID

    public java.lang.String getID()

  Overrides:
    getID in class PrimitiveENTITY

### getAllowedFacets

    public java.util.Vector getAllowedFacets()

  Overrides:
    getAllowedFacets in class PrimitiveENTITY

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)